{% extends 'base.html' %}
{% load static %}

{% block title %}
    Статистика по запросам
{% endblock %}

{% block styles %}
    <link rel="stylesheet" type="text/css" href="{% static 'css/stats.css' %}">
{% endblock %}

{% block content%}
<!-- Контейнер -->
<div class="container-stats">

    <!-- Блок текста слева -->
    <div class="text-container">
        <h3>Статистика</h3>
        <p>Здесь размещается и обновляется статистика количества обращений к endpoints API. &#10148; </p>
        <hr>
    </div>
    
    <!-- Блок с графиком слева -->
    <div class="chart-container">
        <div class="chart-style">
            <div class="chart-header">
                Графическое отображение запросов:
            </div>
            <canvas id="statsChart" width="400" height="200"></canvas>
        </div>
    </div>
    
    <!-- Блок с таблицей справа -->
    <div class="table-container">
        <div class="table-style">
            <div class="table-header">
                Таблица запросов к endpoints:
            </div>

            <div class="table-scrollable-container">
                <table class="table-scrollable table">
                    <thead>
                        <tr>
                            <th>Date <br>(hour)</th>
                            {% for hour in hours %}
                            <th>{{ hour }}:00</th>
                            {% endfor %}
                        </tr>
                    </thead>
                    <tbody id="tableBody">
                        <tr>
                            <td>Requests <br>(count)</td>
                            {% for hour in hours %}
                            <td class="table-cell-scrollable table-td" id="requests-hour-{{ hour }}">-</td>
                            {% endfor %}
                        </tr>
                        <tr>
                            <td>Endpoints <br>(path)</td>
                            {% for hour in hours %}
                            <td id="endpoints-hour-{{ hour }}">-</td>
                            {% endfor %}
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

{% block scripts %}
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <script src="{% static 'js/stats.js' %}"></script>
{% endblock %}

{% endblock %}